<?php
$mod = 'admin';
require_once '../includes/common.php';
require_once './admin.class.php';



$adminData = adminClass::getAdmin($DB,$_SESSION['adminUser']);

$title = '个人设置';
require_once './head.php';
?>
            <main id="main-container">
                <div class="content">
                    <div class="block">
                        <div class="block-header">
                            <h3 class="block-title"><?=$title?></h3>
                        </div>
                        <div class="block-content block-content-full">
                            <form>
                                <div class="row items-push">
                                    <div class="col-lg-12">
                                        <div class="form-group row" hidden>
                                            <div class="col-12">
                                                <input type="text" value="<?=$adminData['id']?>" name="id" class="form-control text-primary font-size-sm" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">管理员账号</label>
                                            <div class="col-12">
                                                <input type="text" value="<?=$adminData['adminUser']?>" name="adminUser" placeholder="请输入管理员账号" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">管理员密码</label>
                                            <div class="col-12">
                                                <input type="text" name="adminPwd" placeholder="请输入管理员密码(不修改请留空)" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">管理员ＱＱ</label>
                                            <div class="col-12">
                                                <input type="text" value="<?=$adminData['adminQq']?>" name="adminQq" placeholder="请输入管理员ＱＱ" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-12">
                                                <button type="submit" class="btn btn-primary btn-block">修改</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://mumingk.cn/" target="_blank">美国高防服务器</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2018</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
        <script src="../assets/vendor/layer/layer.js"></script>
    </body>
</html>
<script>
    $("form").submit(function (){
        var load = layer.msg('修改中，请稍后...',{icon:16,shade:0.8,time:false});

        var adminUser = $("input[name='adminUser']").val();
        var adminPwd = $("input[name='adminPwd']").val();
        var adminQq = $("input[name='adminQq']").val();
        var id = $("input[name='id']").val();

        if(adminUser.length < 1 || adminQq.length < 1){
            layer.alert('不可为空',{icon:2,shade:0.8});
            return false;
        }

        $.ajax({
            type:'POST',
            url:'/admin/ajax.php',
            data:{
                act:'admininfo',
                adminUser:adminUser,
                adminPwd:adminPwd,
                adminQq:adminQq,
                id:id
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/admin/login.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
        return false;
    });
</script>