<?php
$mod = 'admin';
$notLogin = true;
require_once '../includes/common.php';
require_once './admin.class.php';



if(isset($_GET['logout'])){
    unset($_SESSION['adminUser']);
    header('Location:/admin/login.php');
}

if($isLogin)header('Location:/admin');

$title = '后台登录';
require_once 'header.php';
?>
    <body>
        <div id="page-container">

            <main id="main-container">

                <div class="hero-static bg-white-95">
                    <div class="content">
                        <div class="row justify-content-center">
                            <div class="col-md-8 col-lg-6 col-xl-4">
                                <!-- Sign In Block -->
                                <div class="block block-themed block-fx-shadow mb-0">
                                    <div class="block-header">
                                        <h3 class="block-title"><?=$title?></h3>
                                    </div>
                                    <div class="block-content">
                                        <div class="p-sm-3 px-lg-4 py-lg-5">
                                            <h1 class="mb-2"><?=$conf['webName']?></h1>
                                            <p>欢迎您，请登录。</p>
                                            <form class="js-validation-signin">
                                                <div class="py-3">
                                                    <div class="form-group">
                                                        <input type="text" class="form-control form-control-alt form-control-lg font-size-sm" name="adminUser" placeholder="管理员用户名" autocomplete="off">
                                                    </div>
                                                    <div class="form-group">
                                                        <input type="password" class="form-control form-control-alt form-control-lg font-size-sm" name="adminPwd" placeholder="管理员密码">
                                                    </div>
                                                </div>
                                                <div class="form-group row">
                                                    <div class="col-md-6 col-xl-5">
                                                        <button type="submit" class="btn btn-block btn-primary">
                                                            <i class="fa fa-fw fa-sign-in-alt mr-1"></i> 登录
                                                        </button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="content content-full font-size-sm text-muted text-center">
                        <strong><a href="http://mumingk.cn/" target="_blank">美国高防服务器</a></strong> &copy; <span data-toggle="year-copy">2018</span>
                    </div>
                </div>
            </main>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
        <script src="../assets/js/plugins/bootstrap-notify/bootstrap-notify.min.js"></script>
    </body>
</html>
<script>
    $("form").submit(function (){
		var login = $("button[type='submit']");
        var adminUser = $("input[name='adminUser']").val();
        var adminPwd = $("input[name='adminPwd']").val();

        if(adminUser.length < 1 || adminPwd.length < 1){
            One.helpers('notify', {type: 'danger', message: '请确保必填项不为空', delay:2000});
            return false;
        }

		login.attr('disabled', 'true');
        One.helpers('notify', {type: 'warning', message: '正在登录，请稍后...', delay:2000});

        $.ajax({
            type:'POST',
            url:'/admin/ajax.php',
            data:{
                act:'login',
                adminUser:adminUser,
                adminPwd:adminPwd
            },
            dataType:'json',
            success:function (data){
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/admin'
                    },1000);
                    One.helpers('notify', {type: 'success', message: data.msg, delay:2000});
                }else{
					login.removeAttr('disabled');
                    One.helpers('notify', {type: 'danger', message: data.msg, delay:2000});
                }
            }
        });
        return false;
    });
</script>