<?php
$mod = 'admin';
require_once '../includes/common.php';
require_once './admin.class.php';



if(epdVersion() >= adminClass::getVersion())Tips::error('当前已是最新版本', '/admin');

if ($_GET['act'] == 'upd') {
	$cloudData = @json_decode(file_get_contents('http://auth.a0n.cn/api/fileLink'), TRUE);
	if (!is_array($cloudData)) Tips::error('获取远程文件失败', '/admin');
	
	$Separator = DIRECTORY_SEPARATOR;
	$fileLink = $cloudData['v'];
	$dirName = str_replace($Separator . 'admin', '', __DIR__);
	$fileRoute = $dirName . $Separator . 'Runtime.zip';
	
	if(!onlineUpdate($fileLink, $fileRoute, $dirName))Tips::error('更新失败', '/admin');
	Tips::success('更新成功', '/admin');
}

$title = '在线更新';
require_once './header.php';
?>
<style type="text/css">th,td{width: 50%;}</style>
    <body>
        <div id="page-container" class="sidebar-dark enable-page-overlay side-scroll">
            <main id="main-container">
                <div class="content">
                    <div class="block">
                        <div class="table-responsive">
                            <table class="table table-borderless table-hover table-vcenter text-center mb-0">
                                <thead class="thead-dark text-uppercase font-size-sm">
                                    <tr>
                                        <th class="py-3" colspan="2"><?=$title?></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>当前版本号</td>
                                        <td><?=epdVersion()?></td>
                                    </tr>
                                    <tr>
                                        <td>最新版本号</td>
                                        <td><?=adminClass::getVersion()?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>


                <div class="content">
                    <div class="block">
                        <a class="btn btn-primary btn-block" href="/admin/updfile.php?act=upd">在线更新</a>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://su.cyt520.cn/" target="_blank">美国高防服务器28元</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="//epd.je41.cn">EPD</a> &copy; <span data-toggle="year-copy">2018</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
    </body>
</html>