/*
 Navicat Premium Data Transfer

 Source Server         : lcoalhost
 Source Server Type    : MySQL
 Source Server Version : 80012
 Source Host           : localhost:3306
 Source Schema         : epd

 Target Server Type    : MySQL
 Target Server Version : 80012
 File Encoding         : 65001

 Date: 22/06/2019 18:42:09
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for impepd_admin
-- ----------------------------
DROP TABLE IF EXISTS `impepd_admin`;
CREATE TABLE `impepd_admin`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `adminUser` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `adminPwd` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `adminQq` bigint(20) NULL DEFAULT 848597792,
  `adminLoginIp` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of impepd_admin
-- ----------------------------
INSERT INTO `impepd_admin` VALUES (1, 'admin', 'e10adc3949ba59abbe56e057f20f883e', 848597792, '127.0.0.1');

-- ----------------------------
-- Table structure for impepd_api
-- ----------------------------
DROP TABLE IF EXISTS `impepd_api`;
CREATE TABLE `impepd_api`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `apiIp` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `apiKey` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `apiMoney` decimal(10, 2) NULL DEFAULT 0.00,
  `apiName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '未命名',
  `apiMixWeb` int(11) UNSIGNED NULL DEFAULT 1000,
  `apiMixDb` int(11) UNSIGNED NULL DEFAULT 1000,
  `apiMixFlow` int(11) NULL DEFAULT 20,
  `apiUse` int(11) UNSIGNED NULL DEFAULT 0,
  `apiUseMoney` decimal(10, 2) NULL DEFAULT 0.00,
  `apiState` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0',
  `userName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `isShow` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `apiIp`(`apiIp`, `apiName`) USING BTREE,
  INDEX `isShow`(`isShow`) USING BTREE,
  INDEX `apiIp_2`(`apiIp`, `apiName`, `isShow`) USING BTREE,
  INDEX `apiIp_3`(`apiIp`, `apiName`, `isShow`, `apiMoney`, `apiUseMoney`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of impepd_api
-- ----------------------------
INSERT INTO `impepd_api` VALUES (1, '123123', '123', 213.00, '未命名', 1000, 1000, 20, 0, 0.00, '2', NULL, '1');

-- ----------------------------
-- Table structure for impepd_apib
-- ----------------------------
DROP TABLE IF EXISTS `impepd_apib`;
CREATE TABLE `impepd_apib`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `userName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `apiIp` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `apiName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `apiMoney` decimal(10, 2) NOT NULL,
  `apiUseMoney` decimal(10, 2) NOT NULL,
  `useLength` tinyint(4) UNSIGNED NOT NULL,
  `useTime` date NOT NULL,
  `isShow` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `apiIp`(`apiIp`, `apiName`, `isShow`) USING BTREE,
  INDEX `impepd_apib_ibfk_1`(`apiIp`, `apiName`, `isShow`, `apiMoney`, `apiUseMoney`) USING BTREE,
  CONSTRAINT `impepd_apib_ibfk_1` FOREIGN KEY (`apiIp`, `apiName`, `isShow`, `apiMoney`, `apiUseMoney`) REFERENCES `impepd_api` (`apiip`, `apiname`, `isshow`, `apimoney`, `apiusemoney`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of impepd_apib
-- ----------------------------
INSERT INTO `impepd_apib` VALUES (1, '903155862', '123123', '未命名', 213.00, 0.00, 1, '2019-06-08', '1');

-- ----------------------------
-- Table structure for impepd_config
-- ----------------------------
DROP TABLE IF EXISTS `impepd_config`;
CREATE TABLE `impepd_config`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `k` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `v` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 24 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of impepd_config
-- ----------------------------
INSERT INTO `impepd_config` VALUES (1, 'webName', 'EPD');
INSERT INTO `impepd_config` VALUES (2, 'isMailReg', '0');
INSERT INTO `impepd_config` VALUES (3, 'mailHost', 'smtp.qq.com');
INSERT INTO `impepd_config` VALUES (4, 'mailPort', '465');
INSERT INTO `impepd_config` VALUES (5, 'mailCharSet', 'UTF-8');
INSERT INTO `impepd_config` VALUES (6, 'mailFromName', '免备案高防主机');
INSERT INTO `impepd_config` VALUES (7, 'mailUserName', 'mumingk.cn');
INSERT INTO `impepd_config` VALUES (8, 'mailPassWord', 'kadsqiqxijawbdcd');
INSERT INTO `impepd_config` VALUES (9, 'epayLink', 'http://pay.hackwl.cn/');
INSERT INTO `impepd_config` VALUES (10, 'epayPid', '14619');
INSERT INTO `impepd_config` VALUES (11, 'epayKey', 'hackpay14619');
INSERT INTO `impepd_config` VALUES (12, 'upTicheng', '5');
INSERT INTO `impepd_config` VALUES (13, 'regMoney', '1');
INSERT INTO `impepd_config` VALUES (14, 'webDescription', 'EPD，EP分销系统，优质EP分销系统，杜绝服务器安秘钥泄露，集成化管理，通过简单的配置后即可开始你的分销之旅！');
INSERT INTO `impepd_config` VALUES (15, 'webKeyword', 'EPD,EPD分销,分销系统,EP分销,EP分销系统,easypanel分销系统,EPD分销系统,EPD官网');
INSERT INTO `impepd_config` VALUES (16, 'userAddApi', '0');
INSERT INTO `impepd_config` VALUES (17, 'userBuyApi', '0');
INSERT INTO `impepd_config` VALUES (18, 'isUserReg', '0');
INSERT INTO `impepd_config` VALUES (19, 'userPayMoney', '0');
INSERT INTO `impepd_config` VALUES (20, 'payType', 'codepay');
INSERT INTO `impepd_config` VALUES (21, 'codePayId', '111879');
INSERT INTO `impepd_config` VALUES (22, 'codePayKey', 'bNTE6iMy06IF695mo06DG230f9D0i8E');
INSERT INTO `impepd_config` VALUES (23, 'footCode', '');
INSERT INTO `impepd_config` VALUES (24, 'isApiSuper', '1');

-- ----------------------------
-- Table structure for impepd_host
-- ----------------------------
DROP TABLE IF EXISTS `impepd_host`;
CREATE TABLE `impepd_host`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `hostIp` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `hostName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `hostPwd` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `hostWebSize` int(11) UNSIGNED NOT NULL,
  `hostDbSize` int(11) UNSIGNED NOT NULL,
  `userName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `hostState` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Table structure for impepd_pay
-- ----------------------------
DROP TABLE IF EXISTS `impepd_pay`;
CREATE TABLE `impepd_pay`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `out_trade_no` char(17) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `money` decimal(10, 2) NOT NULL,
  `userName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date` date NOT NULL,
  `state` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of impepd_pay
-- ----------------------------
INSERT INTO `impepd_pay` VALUES (1, '20190602200416773', 0.01, '903155862', '2019-06-02', '0');
INSERT INTO `impepd_pay` VALUES (2, '20190603095903942', 0.01, '903155862', '2019-06-03', '1');
INSERT INTO `impepd_pay` VALUES (3, '20190604171257673', 0.01, '903155862', '2019-06-04', '1');
INSERT INTO `impepd_pay` VALUES (4, '20190604171622883', 0.01, '903155862', '2019-06-04', '1');
INSERT INTO `impepd_pay` VALUES (5, '20190604171709534', 69999999.00, '903155862', '2019-06-04', '0');
INSERT INTO `impepd_pay` VALUES (6, '20190604171719774', 999999.00, '903155862', '2019-06-04', '0');
INSERT INTO `impepd_pay` VALUES (7, '20190604171727689', 9999.00, '903155862', '2019-06-04', '0');
INSERT INTO `impepd_pay` VALUES (8, '20190604171743689', 500.00, '903155862', '2019-06-04', '0');

-- ----------------------------
-- Table structure for impepd_user
-- ----------------------------
DROP TABLE IF EXISTS `impepd_user`;
CREATE TABLE `impepd_user`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `userName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `userPwd` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `userMail` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `userMoney` decimal(10, 2) NULL DEFAULT 0.00,
  `userKey` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `userIp` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `upUserName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `userState` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1000 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of impepd_user
-- ----------------------------
INSERT INTO `impepd_user` VALUES (1000, '903155862', '941415072f8f94b395facce02208395a', '903155862@qq.com', 1.03, '09f7a07d24afeda73dc414d33cfa96c9', '127.0.0.1', NULL, '1');

-- ----------------------------
-- Table structure for impepd_userb
-- ----------------------------
DROP TABLE IF EXISTS `impepd_userb`;
CREATE TABLE `impepd_userb`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `upUserId` int(11) UNSIGNED NOT NULL,
  `downUserId` int(11) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

SET FOREIGN_KEY_CHECKS = 1;
