<?php
class codePay
{
    public function __construct($DB, $id, $key, $type, $money, $return_url, $notify_url = NULL)
    {
		if($type == 'alipay')$type = 1;
		if($type == 'qqpay')$type = 2;
		if($type == 'wxpay')$type = 3;
		
		$pay_id = date('YmdHis').mt_rand(100,999);
        $ary = array(
			'id' => $id,
			'pay_id' => $pay_id,
			'type' => $type,
			'price' => $money,
			'return_url' => $return_url,
			'notify_url' => $notify_url
		);
		
        if(!Puts::pay($DB, $pay_id, $money, $_SESSION['userName']))Tips::error('创建订单失败', '/user');
		$this->submit($ary, $id, $key);
    }
	public function submit($ary, $id, $key)
	{
		$apiLink = 'http://api2.fateqq.com:52888/creat_order/?';
        $aryLink = $this->aryLink($this->arySort($ary));
		$signLink = $this->signLink($this->arySort($ary));
		$md5Sign = $this->md5Sign($signLink, $key);
		$queryLink = $apiLink . $aryLink . '&sign=' . $md5Sign;
		
		exit('<script>location.href = "' . $queryLink . '"</script>');
	}
    public static function returnP($DB, $data, $out_trade_no)
    {
		$payData = Gets::pay($DB, $out_trade_no);

		if(empty($payData))Tips::error('订单不存在，有疑问请联系管理员。', '/user');
		if($payData['state'] == 1)Tips::error('订单已成功充值，有疑问请联系管理员。', '/user');
		if($payData['money'] != $data['money'])Tips::error('充值金额有误，有疑问请联系管理员。', '/user');
		if(!Money::add($DB, $_SESSION['userName'], $payData['money']))Tips::error('充值失败，有疑问请联系管理员。', '/user');
		if(!Upds::pay($DB, $payData['out_trade_no']))Tips::error('修改状态失败，有疑问请联系管理员。', '/user');
		Tips::success('充值成功，请稍后。', '/user');
    }
    public function aryLink($ary)
    {
		$url = '';
		
		foreach ($ary as $key => $val) {
			if ($val == '' || $key == 'sign') continue;
			
			$url .= "$key=" . urlencode($val) . '&';
		}
		
		return trim($url, '&');
    }
    public function signLink($ary)
    {
		$sign = '';
		
		foreach ($ary as $key => $val) {
			if ($val == '' || $key == 'sign') continue;
			
			$sign .= "{$key}={$val}&";
		}
		
		return trim($sign, '&');
    }
	public function arySort($ary)
    {
        ksort($ary);
        reset($ary);
        return $ary;
    }
	public function md5Sign($signLink, $key)
    {
        return md5($signLink .$key);
    }
}
