﻿<?php
$mod = 'install';
require_once '../includes/common.php';



$title = '安装前言';
require_once './header.php';
?>
    <body>
        <div id="page-container" class="sidebar-dark enable-page-overlay side-scroll">
            <main id="main-container">


                <div class="bg-body-light">
                    <div class="content content-full">
                        <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
                            <h1 class="flex-sm-fill h3 my-2">
                                <?=$title?>
                            </h1>
                            <nav class="flex-sm-00-auto ml-sm-3" aria-label="breadcrumb">
                                <ol class="breadcrumb breadcrumb-alt">
                                    <li class="breadcrumb-item">安装程序</li>
                                    <li class="breadcrumb-item" aria-current="page">
                                        <a class="link-fx" href="javascript:;"><?=$title?></a>
                                    </li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>


                <div class="content">
                    <div class="block">
                        <div class="block-content">
                            <div class="row items-push">
                                <div class="col-md-12">
                                    <p>
                                        <pre><?=file_get_contents('../readme.txt')?></pre>
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="block-content">
                            <div class="row items-push">
                                <div class="col-md-12">
                                    <a href="/install/install1.php" class="btn btn-primary btn-block">开始安装</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://mumingk.cn" target="_blank">点击我获取更多源码</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="//mumingk.cn">EP</a> &copy; <span data-toggle="year-copy">2019</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
    </body>
</html>