<?php
$mod = 'user';
require_once '../includes/common.php';
require_once './user.class.php';



$title = '用户中心';
require_once './head.php';
?>
            <main id="main-container">
                <div class="content content-narrow">

                    <div class="row">
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">推荐ＩＤ</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=$_SESSION['userId']?></div>
                                </div>
                            </a>
                        </div>
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">下级用户</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=Counts::userDown($DB, $_SESSION['userName'])?> 个</div>
                                </div>
                            </a>
                        </div>
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">账户余额</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=userClass::getMoney($DB, $_SESSION['userName'])?></div>
                                </div>
                            </a>
                        </div>
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">接口统计</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=Counts::userApi($DB, $_SESSION['userName'])?> 个</div>
                                </div>
                            </a>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">操作系统</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=userClass::get_os()?></div>
                                </div>
                            </a>
                        </div>
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">浏览器内核</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=userClass::browse_info()?></div>
                                </div>
                            </a>
                        </div>
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">PHP版本</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=phpversion()?></div>
                                </div>
                            </a>
                        </div>
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">MYSQL版本</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=userClass::mysql_info($DB)?></div>
                                </div>
                            </a>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">程序编码</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=userClass::detect_encoding()?></div>
                                </div>
                            </a>
                        </div>
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">程序版本</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=epdVersion()?></div>
                                </div>
                            </a>
                        </div>
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">最新版本</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=userClass::getVersion()?></div>
                                </div>
                            </a>
                        </div>
                        <div class="col-12 col-md-3 col-lg-6 col-xl-3">
                            <a class="block block-rounded block-link-pop border-left border-primary border-4x" href="javascript:;">
                                <div class="block-content block-content-full">
                                    <div class="font-size-sm font-w600 text-uppercase text-muted">登录IP</div>
                                    <div class="font-size-h3 font-w400 text-dark"><?=$_SERVER['REMOTE_ADDR']?></div>
                                </div>
                            </a>
                        </div>
                    </div>

                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://mumingk.cn/" target="_blank">美国高防服务器</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2018</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
    </body>
</html>