<?php
$mod = 'user';
require_once '../includes/common.php';



if(!$conf['userPayMoney'])Tips::error('管理员未开启此功能', '/user');

if($_GET['pay_id'])codePay::returnP($DB, $_GET, $_GET['pay_id']);
if($_GET['out_trade_no'])ePay::returnP($DB, $conf, $_GET['out_trade_no']);

if ($_POST['money']) {
    $url = ($_SERVER['SERVER_PORT'] == '443' ? 'https://' : 'http://') . $_SERVER['HTTP_HOST']. '/user/pay.php';

	if($conf['payType'] == 'epay'){
		$epayUrl = $conf['epayLink'].'api.php?act=query&pid='.$conf['epayPid'].'&key='.$conf['epayKey'];
		$epayData = json_decode(file_get_contents($epayUrl), true);
		if($epayData['code'] != 1)Tips::error('易支付配置有误，请联系管理员。', '/user');
		new ePay(
			$DB,
			$conf['epayLink'],
			$conf['epayPid'],
			$conf['epayKey'],
			$conf['webName'] . '在线充值',
			$conf['webName'],
			$_POST['money'],
			$_POST['type'],
			$url,
			$url
		);
	}
	if($conf['payType'] == 'codepay'){
		if(empty($conf['codePayId']) || empty($conf['codePayKey']))Tips::error('码支付配置有误，请联系管理员。', '/user');
		
		new codePay(
			$DB,
			$conf['codePayId'],
			$conf['codePayKey'],
			$_POST['type'],
			$_POST['money'],
			$url
		);
	}
}

$title = '在线充值';
require_once './head.php';
?>
            <main id="main-container">
                <div class="content">
                    <div class="block">
                        <div class="block-header">
                            <h3 class="block-title"><?=$title?></h3>
                        </div>
                        <div class="block-content block-content-full">
                            <form method="POST">
                                <div class="row items-push">
                                    <div class="col-lg-12">
                                        <div class="form-group row">
                                            <label class="col-12">充值金额</label>
                                            <div class="col-12">
                                                <input type="text" name="money" placeholder="请输入充值金额" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">支付方式</label>
                                            <div class="col-12">
                                                <select name="type" class="form-control text-primary font-size-sm">
                                                    <option value="qqpay">ＱＱ</option>
                                                    <option value="wxpay">微信</option>
                                                    <option value="alipay">支付宝</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-12">
                                                <button type="submit" class="btn btn-primary btn-block">充值</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://mumingk.cn/" target="_blank">美国高防服务器</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2018</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
    </body>
</html>