<?php
class adminClass
{
    public static function getAdmin($DB,$adminUser)
    {
        return $DB->query("SELECT * FROM `impepd_admin` WHERE `adminUser` = '$adminUser'")->fetch(PDO::FETCH_ASSOC);
    }
    public static function getAdminId($DB,$id)
    {
        return $DB->query("SELECT * FROM `impepd_admin` WHERE `id` = '$id'")->fetch(PDO::FETCH_ASSOC);
    }
    public static function loginAdmin($DB,$adminUser)
    {
        $ip = Gets::ip();
        return $DB->exec("UPDATE `impepd_admin` SET `adminLoginIp` = '$ip' WHERE `adminUser` = '$adminUser'");
    }
    public static function get_os()
    {
        if (!empty($_SERVER['HTTP_USER_AGENT'])){
            $os = $_SERVER['HTTP_USER_AGENT'];
            if (preg_match('/win/i', $os)) {
                $os = 'Windows';
            } else if (preg_match('/mac/i', $os)) {
                $os = 'MAC';
            } else if (preg_match('/linux/i', $os)) {
                $os = 'Android';
            } else if (preg_match('/unix/i', $os)) {
                $os = 'Unix';
            } else if (preg_match('/bsd/i', $os)) {
                $os = 'BSD';
            } else {
                $os = 'Other';
            }
            return $os;
        } else {
            return 'unknow';
        }
    }
    public static function browse_info()
    {
        if (!empty($_SERVER['HTTP_USER_AGENT'])){
            $br = $_SERVER['HTTP_USER_AGENT'];
            if (preg_match('/MSIE/i', $br)) {
                $br = 'MSIE';
            } else if (preg_match('/Firefox/i', $br)) {
                $br = 'Firefox';
            } else if (preg_match('/Chrome/i', $br)) {
                $br = 'Chrome';
            } else if (preg_match('/Safari/i', $br)) {
                $br = 'Safari';
            } else if (preg_match('/Opera/i', $br)) {
                $br = 'Opera';
            } else {
                $br = 'Other';
            }
            return $br;
        } else {
            return 'unknow';
        }
    }
    public static function mysql_info($DB)
    {
        $info=$DB->query('select VERSION()')->fetch(PDO::FETCH_ASSOC);
        return $info['VERSION()'];
    }
    public static function detect_encoding($file='./login.php')
    {
        $list = array('GBK', 'UTF-8', 'UTF-16LE', 'UTF-16BE', 'ISO-8859-1');
        $str = file_get_contents($file);
        foreach ($list as $item) {
            $tmp = mb_convert_encoding($str, $item, $item);
            if (md5($tmp) == md5($str)) {
                return $item;
            }
        }
        return null;
    }
    public static function getVersion()
    {
        $data = json_decode(file_get_contents('http://129.204.108.129/'),true);
        $version = array_reverse($data['version']);
        return $version['0']['version'];
    }
    public static function getApi($DB, $id = false)
    {
        $data = $DB->query('SELECT * FROM `impepd_api`')->fetchAll(PDO::FETCH_ASSOC);
        if($id)$data = $DB->query("SELECT * FROM `impepd_api` WHERE `id` = '$id'")->fetch(PDO::FETCH_ASSOC);
        return $data;
    }
    public static function getHost($DB, $id = false)
    {
        $data = $DB->query('SELECT * FROM `impepd_host`')->fetchAll(PDO::FETCH_ASSOC);
        if($id)$data = $DB->query("SELECT * FROM `impepd_host` WHERE `id` = '$id'")->fetch(PDO::FETCH_ASSOC);
        return $data;
    }
    public static function createHost($DB, $data)
    {
        $ip = $data['apiIp'];
        $apiData = self::getApiIp($DB, $ip);
        unset($data['apiIp']);

        $data['log_file'] = '1';
        $data['htaccess'] = '1';
        $data['access'] = '1';

        $url = self::CreateUrl($apiData['apiIp'], $apiData['apiKey'], 'add_vh');

        $resultData = self::GetCloud($url, $data);

        if($resultData['result'] != 200)return false;

        $hostData = array(
            'hostIp' => $apiData['apiIp'],
            'hostName' => $data['name'],
            'hostPwd' => $data['passwd'],
            'hostWebSize' => $data['web_quota'],
            'hostDbSize' => $data['db_quota']
        );
        self::addHost($DB, $hostData);
        return true;
    }
    public static function isShow($DB, $id, $isShow)
    {
        return $DB->exec("UPDATE `impepd_api` SET `isShow` = '$isShow' WHERE `id` = '$id'");
    }
    public static function apiState($DB, $id, $apiState)
    {
        return $DB->exec("UPDATE `impepd_api` SET `apiState` = '$apiState' WHERE `id` = '$id'");
    }
    public static function editApi($DB, $data)
    {
        $id = $data['id'];
        $apiIp = $data['apiIp'];
        $apiKey = $data['apiKey'];
        $apiMoney = $data['apiMoney'];
        $apiName = $data['apiName'];
        $apiMixWeb = $data['apiMixWeb'];
        $apiMixDb = $data['apiMixDb'];
        $apiMixFlow = $data['apiMixFlow'];
        $apiUseMoney = $data['apiUseMoney'];

        return $DB->exec("UPDATE `impepd_api` SET `apiIp` = '$apiIp',`apiKey` = '$apiKey',`apiMoney` = '$apiMoney',`apiName` = '$apiName',`apiMixWeb` = '$apiMixWeb',`apiMixDb` = '$apiMixDb',`apiMixFlow` = '$apiMixFlow',`apiUseMoney` = '$apiUseMoney' WHERE `id` = '$id'");
    }
    public static function delApi($DB, $id)
    {
        return $DB->exec("DELETE FROM `impepd_api` WHERE `id` = '$id'");
    }
    public static function getApiIp($DB, $ip)
    {
        $data = $DB->query("SELECT * FROM `impepd_api` WHERE `apiIp` = '$ip'")->fetch(PDO::FETCH_ASSOC);
        return $data;
    }
    public static function getUserApi($DB, $ip)
    {
        $data = $DB->query("SELECT * FROM `impepd_apib` WHERE `apiIp` = '$ip'")->fetch(PDO::FETCH_ASSOC);
        return $data;
    }
    public static function apiAdd($DB, $data)
    {
        $apiIp = $data['apiIp'];
        $apiKey = $data['apiKey'];
        $apiMoney = $data['apiMoney'];

        return $DB->exec("INSERT INTO `impepd_api`(`apiIp`,`apiKey`,`apiMoney`)VALUES('$apiIp','$apiKey','$apiMoney')");
    }
    public static function getUser ($DB, $id = false)
    {
        $data = $DB->query('SELECT * FROM `impepd_user`')->fetchAll(PDO::FETCH_ASSOC);
        if($id)$data = $DB->query("SELECT * FROM `impepd_user` WHERE `id` = '$id'")->fetch(PDO::FETCH_ASSOC);
        return $data;
    }
    public static function delUser($DB, $id)
    {
        return $DB->exec("DELETE FROM `impepd_user` WHERE `id` = '$id'");
    }
    public static function userState($DB, $id, $userState)
    {
        return $DB->exec("UPDATE `impepd_user` SET `userState` = '$userState' WHERE `id` = '$id'");
    }
    public static function editUser($DB, $data)
    {
        $id = $data['id'];
        $userName = $data['userName'];
        $userPwd = $data['userPwd'];
        $userMoney = $data['userMoney'];
        $userMail = $data['userMail'];

        $sql = "UPDATE `impepd_user` SET `userName` = '$userName',`userMoney` = '$userMoney',`userMail` = '$userMail' WHERE `id` = '$id'";
        if(!empty($data['userPwd'])){
            $userPwd = md5($data['userPwd']);
            $sql = "UPDATE `impepd_user` SET `userName` = '$userName',`userMoney` = '$userMoney',`userPwd` = '$userPwd',`userMail` = '$userMail' WHERE `id` = '$id'";
        }

        return $DB->exec($sql);
    }
    public static function getUserName($DB, $userName)
    {
        $data = $DB->query("SELECT * FROM `impepd_user` WHERE `userName` = '$userName'")->fetch(PDO::FETCH_ASSOC);
        return $data;
    }
    public static function userAdd($DB, $data)
    {
        $userName = $data['userName'];
        $userPwd = $data['userPwd'];
        $userMail = $data['userMail'];

        return $DB->exec("INSERT INTO `impepd_user`(`userName`,`userPwd`,`userMail`)VALUES('$userName','$userPwd','$userMail')");
    }
	public static function apiDis($DB, $data){
		$sql = self::insSql('impepd_apib', $data);
		
		$apiData = self::getUserApi($DB, $data['apiIp']);
		$ary['useLength'] = '`useLength` + ' . $data['useLength'];
		if(!empty($apiData))$sql = self::updSql('impepd_apib', $ary, '`apiIp` = \'' . $apiData['apiIp'] . '\'');

		return $DB->exec($sql);
	}
    public static function GetCloud($url, $data)
    {
        foreach ($data as $k => $v) {
            $url .= '&' . $k . '=' . $v;
        }
        return json_decode(file_get_contents($url), TRUE);
    }
    public static function CreateUrl($apiIp, $apiKey, $type)
    {
        $ip = $apiIp;
        $key = $apiKey;
        $c = 'whm';
        $a = $type;
        $r = rand(100000,999999);
        $json = '1';
        $s = md5($a.$key.$r);
        $url = "http://$ip:3312/api/index.php?c=$c&a=$a&r=$r&json=$json&s=$s";

        return $url;
    }
    public static function addHost($DB, $data){
        $sql = 'INSERT INTO `impepd_host`(';
        foreach ($data as $k => $v) {
            $sql .= "`$k`,";
        }
        $sql = trim($sql, ',');
        $sql .= ')VALUES(';
        foreach ($data as $k => $v) {
            $sql .= "'$v',";
        }
        $sql = trim($sql, ',');
        $sql .= ')';

        $DB->query($sql);
    }
	public static function insSql($table, $data){
        $sql = 'INSERT INTO `' . $table . '`(';
        foreach ($data as $k => $v) {
            $sql .= "`$k`,";
        }
        $sql = trim($sql, ',');
        $sql .= ')VALUES(';
        foreach ($data as $k => $v) {
            $sql .= "'$v',";
        }
        $sql = trim($sql, ',');
        $sql .= ')';
		
		return $sql;
	}
	public static function updSql($table, $data, $where = false){
        $sql = 'UPDATE `' . $table . '` SET ';
        foreach ($data as $k => $v) {
            $sql .= "`$k` = $v,";
        }
        $sql = trim($sql, ',');
		if($where)$sql .= " WHERE $where";
		
		return $sql;
	}
}

