<?php
$mod = 'admin';
require_once '../includes/common.php';
require_once './admin.class.php';



if(!empty($_POST)){
    $result = adminClass::createHost($DB, $_POST);
    if(!$result)Tips::error('开通失败','/admin/hostadd.php');
    Tips::success('开通成功','/admin/hostlist.php');
}

$apiData = adminClass::getApi($DB);

$title = '主机添加';
require_once './head.php';
?>
            <main id="main-container">
                <div class="content">
                    <div class="block">
                        <div class="block-header">
                            <h3 class="block-title"><?=$title?></h3>
                        </div>
                        <div class="block-content block-content-full">
                            <form method="POST">
                                <div class="row items-push">
                                    <div class="col-lg-12">
                                        <div class="form-group row">
                                            <label class="col-12">选择接口</label>
                                            <div class="col-12">
                                                <select name="apiIp" class="form-control text-primary font-size-sm">
                                                    <?php foreach ($apiData as $v) { ?>
                                                    <option value="<?=$v['apiIp']?>">名称：<?=$v['apiName']?>；IP：<?=$v['apiIp']?>；状态：<?php if($v['apiState'] == 1){echo '正常';}else{echo '异常';} ?></option>
                                                    <?php } ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">虚拟主机用户名</label>
                                            <div class="col-12">
                                                <input type="text" name="name" placeholder="请输入虚拟主机用户名" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">虚拟主机密码</label>
                                            <div class="col-12">
                                                <input type="text" name="passwd" placeholder="请输入虚拟主机密码" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">虚拟主机类型</label>
                                            <div class="col-12">
                                                <select name="cdn" class="form-control text-primary font-size-sm">
                                                    <option value="0">虚拟主机</option>
                                                    <option value="1">CDN 主机</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">虚拟主机语言</label>
                                            <div class="col-12">
                                                <select name="module" class="form-control text-primary font-size-sm">
                                                    <option value="php">PHP</option>
                                                    <option value="html">HTML</option>
                                                    <option value="iis">ASP(需服务器支持)</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">虚拟主机大小</label>
                                            <div class="col-12">
                                                <input type="text" name="web_quota" placeholder="请输入虚拟主机大小" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">数据库大小</label>
                                            <div class="col-12">
                                                <input type="text" name="db_quota" placeholder="请输入数据库大小(填0不开通)" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">数据库类型</label>
                                            <div class="col-12">
                                                <select name="db_type" class="form-control text-primary font-size-sm">
                                                    <option value="mysql">MYSQL</option>
                                                    <option value="sqlsrv">SQL SERVER</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">绑定额外子目录</label>
                                            <div class="col-12">
                                                <select name="subdir_flag" class="form-control text-primary font-size-sm">
                                                    <option value="1">允许</option>
                                                    <option value="">不允许</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">子目录数</label>
                                            <div class="col-12">
                                                <input type="text" name="max_subdir" placeholder="请输入绑定子目录数(0为不限)" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">域名数</label>
                                            <div class="col-12">
                                                <input type="text" name="domain" placeholder="请输入绑定域名数(-1为不限)" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">默认目录</label>
                                            <div class="col-12">
                                                <input type="text" name="Subdir" value="wwwroot" placeholder="请输入默认绑定目录" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-12">
                                                <button type="submit" class="btn btn-primary btn-block">添加</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://mumingk.cn" target="_blank">美国高防服务器</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2018</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
    </body>
</html>