<?php
class apiClass {
    public static function getUser($DB, $userName)
    {
        return $DB->query("SELECT * FROM `impepd_user` WHERE `userName` = '$userName'")->fetch(PDO::FETCH_ASSOC);
    }
    public static function getUserApi($DB, $apiIp, $userName)
    {
        return $DB->query("SELECT * FROM `impepd_apib` WHERE `userName` = '$userName' AND `apiIp` = '$apiIp'")->fetch(PDO::FETCH_ASSOC);
    }
    public static function getApi($DB, $apiIp)
    {
        return $DB->query("SELECT * FROM `impepd_api` WHERE `apiIp` = '$apiIp'")->fetch(PDO::FETCH_ASSOC);
    }
    public static function useApi($DB, $ip)
    {
        $DB->exec("UPDATE `impepd_api` SET `apiUse` = `apiUse` + 1 WHERE `apiIp` = '$ip'");
    }
    public static function pay($DB, $userName, $apiUseMoney)
    {
        $DB->exec("UPDATE `impepd_user` SET `userMoney` = `userMoney` - '$apiUseMoney' WHERE `userName` = '$userName'");
    }
    public static function apiInfo($ip, $key)
    {
        $c = 'whm';
        $a = 'info';
        $r = rand(100000,999999);
        $json = '1';
        $s = md5($a.$key.$r);
        $url = "http://$ip:3312/api/index.php?c=$c&a=$a&r=$r&json=$json&s=$s";
        $cloudData = json_decode(file_get_contents($url), TRUE);
        $data = array();

        foreach ($cloudData as $k => $v) {
            if(is_array($v)){
                $data[$k] = $v['0']['0'];
            } else {
                $data[$k] = $v;
            }
        }

        return $data;
    }
    public static function addHost($DB, $data){
        $sql = 'INSERT INTO `impepd_host`(';
        foreach ($data as $k => $v) {
            $sql .= "`$k`,";
        }
        $sql = trim($sql, ',');
        $sql .= ')VALUES(';
        foreach ($data as $k => $v) {
            $sql .= "'$v',";
        }
        $sql = trim($sql, ',');
        $sql .= ')';

        $DB->query($sql);
    }
    public static function upHostState($DB, $hostName, $hostState)
    {
        return $DB->exec("UPDATE `impepd_host` SET `hostState` = '$hostState' WHERE `hostName` = '$hostName'");
    }
    public static function sumWebSize($DB, $ip)
    {
        $data = $DB->query("SELECT sum(`hostWebSize`) as `sum` FROM `impepd_host` WHERE `hostIp` = '$ip'")->fetch(PDO::FETCH_ASSOC);
        return $data['sum'];
    }
    public static function sumDbSize($DB, $ip)
    {
        $data = $DB->query("SELECT sum(`hostDbSize`) as `sum` FROM `impepd_host` WHERE `hostIp` = '$ip'")->fetch(PDO::FETCH_ASSOC);
        return $data['sum'];
    }
    public static function delHost($DB, $hostName, $hostIp)
    {
        return $DB->exec("DELETE FROM `impepd_host` WHERE `hostName` = '$hostName' AND `hostIp` = '$hostIp'");
    }
    public static function CreateAccount($apiIp, $apiKey, $data)
    {
        $url = self::CreateUrl($apiIp, $apiKey, 'add_vh');

        $data = array(
            "name" => $data['hostName'],
            "passwd" => $data['hostPwd'],
            'web_quota' => $data['hostLimit'],
            'db_quota' => $data['dbLimit'],
            'vhost_domains' => $data['hostDomain'],
            'domain' => $data['domainLimit'],
            'max_subdir' => $data['dirLimit'],
            'flow_limit' => $data['flowLimit'],
            'subdir_flag' => '1',
            'ftp' => '1',
            'max_connect' => '0',
            'speed_limit' => '0',
            'db_type' => 'mysql',
            'module' => 'php',
            'max_worker' => '0',
            'subdir' => 'wwwroot',
            'log_file' => '1',
            'htaccess' => '1',
            'access' => '1',
            'cdn' => $data['hostType']
        );

        $data = self::GetCloud($url, $data);

        return $data;
    }
    public static function ChangePassword($apiIp, $apiKey, $data)
    {
        $url = self::CreateUrl($apiIp, $apiKey, 'change_password');

        $data = array(
            'name' => $data['hostName'], 
            'passwd' => $data['hostPwd']
        );

        $data = self::GetCloud($url, $data);

        return $data;
    }
    public static function TerminateAccount($apiIp, $apiKey, $data)
    {
        $url = self::CreateUrl($apiIp, $apiKey, 'del_vh');

        $data = array(
            'name' => $data['hostName']
        );

        $data = self::GetCloud($url, $data);

        return $data;
    }
    public static function SuspendAccount($apiIp, $apiKey, $data)
    {
        $url = self::CreateUrl($apiIp, $apiKey, 'update_vh');

        $data = array(
            'name' => $data['hostName'],
            'status' => $data['hostState']
        );

        $data = self::GetCloud($url, $data);

        return $data;
    }
    public static function CreateUrl($apiIp, $apiKey, $type)
    {
        $ip = $apiIp;
        $key = $apiKey;
        $c = 'whm';
        $a = $type;
        $r = rand(100000,999999);
        $json = '1';
        $s = md5($a.$key.$r);
        $url = "http://$ip:3312/api/index.php?c=$c&a=$a&r=$r&json=$json&s=$s";

        return $url;
    }
    public static function diskSizeGb($num)
    {
        return intval($num/1024/1024/1024);
    }
    public static function diskSizeMb($num)
    {
        return intval($num/1024/1024);
    }
    public static function GetCloud($url, $data)
    {
        foreach ($data as $k => $v) {
            $url .= '&' . $k . '=' . $v;
        }
        return json_decode(file_get_contents($url), TRUE);
    }
}

