﻿<?php
$mod = 'install';
require_once '../includes/common.php';



$title = '填写信息';
require_once './header.php';
?>
    <body>
        <div id="page-container" class="sidebar-dark enable-page-overlay side-scroll">
            <main id="main-container">

                <div class="bg-body-light">
                    <div class="content content-full">
                        <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
                            <h1 class="flex-sm-fill h3 my-2">
                                <?=$title?>
                            </h1>
                            <nav class="flex-sm-00-auto ml-sm-3" aria-label="breadcrumb">
                                <ol class="breadcrumb breadcrumb-alt">
                                    <li class="breadcrumb-item">安装程序</li>
                                    <li class="breadcrumb-item" aria-current="page">
                                        <a class="link-fx" href="javascript:;"><?=$title?></a>
                                    </li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>


                <div class="content">
                    <div class="block">
                        <div class="block-content block-content-full">
                            <form action="/install/install3.php" method="POST">
                                <div class="row items-push">
                                    <div class="col-lg-12">
                                        <div class="form-group row">
                                            <label class="col-12">数据库主机</label>
                                            <div class="col-12">
                                                <input placeholder="请输入数据库主机" value="localhost" type="text" name="dbHost" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">数据库端口</label>
                                            <div class="col-12">
                                                <input placeholder="请输入数据库端口" value="3306" type="text" name="dbPort" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">数据库名</label>
                                            <div class="col-12">
                                                <input placeholder="请输入数据库名" type="text" name="dbName" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">数据库用户名</label>
                                            <div class="col-12">
                                                <input placeholder="请输入数据库用户名" type="text" name="dbUser" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">数据库密码</label>
                                            <div class="col-12">
                                                <input placeholder="请输入数据库密码" type="text" name="dbPwd" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-12">
                                                <button type="submit" class="btn btn-primary btn-block">安装</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://mumingk.cn" target="_blank">美国高防服务器</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="//su.cyt520.cn">EP</a> &copy; <span data-toggle="year-copy">2019</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
    </body>
</html>