<?php
$mod = 'user';
require_once '../includes/common.php';
require_once './user.class.php';



$title = '对接教程';
require_once './head.php';
?>
            <main id="main-container">
                <div class="content">
                    <div class="block">
                        <div class="block-header">
                            <h3 class="block-title"><?=$title?></h3>
                        </div>
                        <div class="block-content">
                            <div class="row items-push">
                                <div class="col-md-12">
                                    <h4 class="border-bottom pb-2">第一步</h4>
                                    <p><span class="font-size-sm">下载插件：</span><a href="/vendor/IMPEPD.zip" class="btn badge badge-primary">点击下载</a></p>
                                </div>
                            </div>
                            <div class="row items-push">
                                <div class="col-md-12">
                                    <h4 class="border-bottom pb-2">第二步</h4>
                                    <h6>上传插件到对应目录</h6>
                                    <p class="font-size-sm">SWAPIDC：/swap_mac/swap_lib/server</p>
                                    <p class="font-size-sm">WHMCS：/modules/server</p>
                                    <p class="font-size-sm">VHMS：/modules/server</p>
                                </div>
                            </div>
                            <div class="row items-push">
                                <div class="col-md-12">
                                    <h4 class="border-bottom pb-2">第三步</h4>
                                    <h6>配置服务器信息</h6>
                                    <p class="font-size-sm text-danger">下列未提到的文本框留空不填</p>
                                    <p class="font-size-sm">主机名(域名)：<?=($_SERVER['SERVER_PORT'] == '443' ? 'https://' : 'http://') . $_SERVER['HTTP_HOST']. '/api/'?></p>
                                    <p class="font-size-sm">ＩＰ：<?=$_GET['ip']?$_GET['ip']:'需要使用的接口IP'?></p>
                                    <p class="font-size-sm">用户名：<?=$userData['userName']?></p>
                                    <p class="font-size-sm">密码：<?=$userData['userKey']?></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://mumingk.cn/" target="_blank">美国高防服务器</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2018</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
    </body>
</html>